Bug 1127608 - SELinux is preventing /usr/bin/gs from 'read' accesses on the directory .
Summary: SELinux is preventing /usr/bin/gs from 'read' accesses on the directory .
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d8cdca65869d93463437304309e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 08:52 UTC by Dark Shenada
Modified: 2015-06-30 01:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:36:16 UTC


Attachments (Terms of Use)

Description Dark Shenada 2014-08-07 08:52:10 UTC
Description of problem:
SELinux is preventing /usr/bin/gs from 'read' accesses on the directory .

*****  Plugin catchall (100. confidence) suggests   **************************

If 您認為 gs 就預設值應擁有  directory 的 read 存取權。
Then 您應將此回報為錯誤。
您可產生本機模組,以允許這項存取。
Do
現在透過執行以下指令來允許此存取:
# grep gs /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:cupsd_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                 [ dir ]
Source                        gs
Source Path                   /usr/bin/gs
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           ghostscript-9.14-3.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-177.fc20.noarch selinux-
                              policy-3.12.1-179.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.15.6-200.fc20.x86_64 #1 SMP Fri
                              Jul 18 02:36:27 UTC 2014 x86_64 x86_64
Alert Count                   1
First Seen                    2014-08-07 16:50:36 CST
Last Seen                     2014-08-07 16:50:36 CST
Local ID                      74e370b3-1e64-465d-98f7-41c988b9d90d

Raw Audit Messages
type=AVC msg=audit(1407401436.485:2222): avc:  denied  { read } for  pid=28660 comm="gs" name="Noto-hinted" dev="sda5" ino=2888241 scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=dir


type=SYSCALL msg=audit(1407401436.485:2222): arch=x86_64 syscall=open success=no exit=EACCES a0=287d3b0 a1=0 a2=2908fc0 a3=354233cd50 items=0 ppid=28658 pid=28660 auid=4294967295 uid=4 gid=7 euid=4 suid=4 fsuid=4 egid=7 sgid=7 fsgid=7 tty=(none) ses=4294967295 comm=gs exe=/usr/bin/gs subj=system_u:system_r:cupsd_t:s0-s0:c0.c1023 key=(null)

Hash: gs,cupsd_t,user_home_t,dir,read

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.15.6-200.fc20.x86_64
type:           libreport

Comment 1 Daniel Walsh 2014-08-16 11:03:04 UTC
Any idea why cups would be listing the contents of "Noto-hinted" in your homedir?

Comment 2 Dark Shenada 2014-09-02 05:43:58 UTC
(In reply to Daniel Walsh from comment #1)
> Any idea why cups would be listing the contents of "Noto-hinted" in your
> homedir?

No, idea. I don't remember the detail but I gauss ether bcz. ApeosPort-II-4000 vendor drive or I've install Google Noto font in home directory. I'll try to figure out how to reproduce as soon as I can.

Comment 3 Daniel Walsh 2014-09-03 09:33:06 UTC
What is the path to this file?

find ~ -name Noto-hinted

Does  restorecon -R -v ~

Change lots of labels?

Comment 4 Dark Shenada 2014-09-03 10:13:49 UTC
(In reply to Daniel Walsh from comment #3)
> What is the path to this file?
> 
> find ~ -name Noto-hinted
> 
> Does  restorecon -R -v ~
> 
> Change lots of labels?

~/.local/share/fonts/

Nothing changed by restorecon.

Comment 5 Daniel Walsh 2014-09-03 11:22:45 UTC
6d82fc9844caa749794aa4d890ca578167235687 changes this directory to be labeled user_font_t

It should probably have been labeled data_home_t?

Comment 6 Dark Shenada 2014-09-03 11:27:25 UTC
(In reply to Daniel Walsh from comment #5)
> 6d82fc9844caa749794aa4d890ca578167235687 changes this directory to be
> labeled user_font_t
> 
> It should probably have been labeled data_home_t?

Currently, yes.

drwxrwxr-x. 'myuid' 'mygid' unconfined_u:object_r:data_home_t:s0 fonts

Comment 7 Lukas Vrabec 2014-09-25 07:47:49 UTC
commit 372c67b88ad6867b4f109f5e92fd55ae8cde2546
Author: Dan Walsh <dwalsh@redhat.com>
Date:   Wed Sep 3 07:22:01 2014 -0400

    Add label for ~/.local/share/fonts

https://github.com/selinux-policy/selinux-policy/commit/372c67b88ad6867b4f109f5e92fd55ae8cde2546

Comment 8 Fedora Update System 2014-09-25 16:57:31 UTC
selinux-policy-3.12.1-187.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-187.fc20

Comment 9 Fedora Update System 2014-09-26 09:05:35 UTC
Package selinux-policy-3.12.1-187.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-187.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11562/selinux-policy-3.12.1-187.fc20
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-09-30 08:36:24 UTC
selinux-policy-3.12.1-188.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-188.fc20

Comment 11 Fedora End Of Life 2015-05-29 12:34:41 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-30 01:36:16 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.